<?php
/**
 * TOP API: alibaba.alihealth.synergy.yzw.drugreport.seal request
 * 
 * @author auto create
 * @since 1.0, 2025.01.08
 */
class AlibabaAlihealthSynergyYzwDrugreportSealRequest
{
	/** 
	 * X坐标
	 **/
	private $positionX;
	
	/** 
	 * Y坐标
	 **/
	private $positionY;
	
	/** 
	 * 调用企业id
	 **/
	private $refEntId;
	
	/** 
	 * 药检报告id
	 **/
	private $reportId;
	
	/** 
	 * 印章名称
	 **/
	private $sealName;
	
	/** 
	 * 用户id
	 **/
	private $userId;
	
	private $apiParas = array();
	
	public function setPositionX($positionX)
	{
		$this->positionX = $positionX;
		$this->apiParas["position_x"] = $positionX;
	}

	public function getPositionX()
	{
		return $this->positionX;
	}

	public function setPositionY($positionY)
	{
		$this->positionY = $positionY;
		$this->apiParas["position_y"] = $positionY;
	}

	public function getPositionY()
	{
		return $this->positionY;
	}

	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function setReportId($reportId)
	{
		$this->reportId = $reportId;
		$this->apiParas["report_id"] = $reportId;
	}

	public function getReportId()
	{
		return $this->reportId;
	}

	public function setSealName($sealName)
	{
		$this->sealName = $sealName;
		$this->apiParas["seal_name"] = $sealName;
	}

	public function getSealName()
	{
		return $this->sealName;
	}

	public function setUserId($userId)
	{
		$this->userId = $userId;
		$this->apiParas["user_id"] = $userId;
	}

	public function getUserId()
	{
		return $this->userId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.synergy.yzw.drugreport.seal";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->refEntId,"refEntId");
		RequestCheckUtil::checkNotNull($this->reportId,"reportId");
		RequestCheckUtil::checkNotNull($this->sealName,"sealName");
		RequestCheckUtil::checkNotNull($this->userId,"userId");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
